View Full Version : [SOLVED] TC 4.3.4

09-23-2014, 01:19 AM
So, Ive been trying to setup 4.3.4 TC server on my host...been hosting 3.3.5a realms for awhile now...Me and my friend the co-owner cant figure it out so Im here to ask for help :D

Have most of the programs installed...vmaps,maps, dbcs, db files...mysql all that jazz. cmake works...but getting random errors when trying to compile the core

I have the 4.3.4 Source, Cmake works and lets me configure and generate the build folder, I open TrinityCore.sln, set it to release and then build it, gives all these errors

Im not the greatest with this stuff setting it up but im still trying! so any help is appreciated.

Most of them are saying MYSQL connection shared.lib


if anyone has knowledge and can take a look via teamviewer or something and get it working for me...I would be willing to pay or something. Let me know :D thanks

09-23-2014, 01:21 AM
Look at this thread: http://emudevs.com/showthread.php/3797 and see if you missed something.

09-23-2014, 01:43 AM
Did what was said on that guide but still getting errors...not sure what i should do..maybe reinstall windows and try again

09-23-2014, 01:52 AM
Make sure your MySQL is installed right. When you run your source through CMake, make sure it's targeting everything correctly. Should your CMake not be targeting the correct directories, it may still build, but your compiler will blow up in your face. I've had something similar happen to me, only not these exact errors. Otherwise, make sure you followed the guide that Tommy linked. Also make sure you're following the directions that were written on the Trinity website http://collab.kpsn.org/display/tc/Win+4.3.4.

09-23-2014, 02:05 AM
Did what was said on that guide but still getting errors...not sure what i should do..maybe reinstall windows and try again

I wasn't necessarily pointing to the guide, but the replies in that thread. Reading posts in a thread helps. :P

09-23-2014, 12:32 PM
Yeah I read the thread and the comments and still can't get it working... people are telling me its my mysql version, ect...Need to wipe mysql off my host and fresh install the correct version needed, then set cmakes lib paths to the right one....Hopefully this will work cuz i really wanna start working on my realm but can't do that if I cant even get it to compile aha butu anyways if theres anyway someone could help me via Teamviewer id be really appreciated if i can get this working as intended

09-23-2014, 04:12 PM
It does sound like a MySQL version issue..

if you are using a version < 5.5.x then uncheck the "USE_MYSQL_RESOURCES" option

updating to MySQL 5.5.x would be a better option (IMHO)

09-23-2014, 07:01 PM
So, we uninstalled all versions of mysql and cmake, reinstalled 5.5.39 and proper cmake, still getting the errors...dont know what im doing wrong must be el retardo

09-23-2014, 09:23 PM
This guy resolved the same compiling errors: http://emudevs.com/showthread.php/3875-Compiling-errors?p=27226&viewfull=1#post27226

He said he was compiling in 64-bit with only 32-bit programs installed. Make sure you aren't compiling in 32-bit with 64-bit programs installed needed for the compiler or vice versa. :P